package org.apache.seatunnel.datasource.plugin.ftp;

public class FtpConfiguration {
    private String host;
    private String port;
    private String user;
    private String password;
    private String path;
    private String type;

    public FtpConfiguration() {}

    public FtpConfiguration(
            String host, String port, String user, String password, String path, String type) {
        this.host = host;
        this.port = port;
        this.user = user;
        this.password = password;
        this.path = path;
        this.type = type;
    }

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "FtpConfiguration{"
                + "host='"
                + host
                + '\''
                + ", port='"
                + port
                + '\''
                + ", user='"
                + user
                + '\''
                + ", password='"
                + password
                + '\''
                + ", path='"
                + path
                + '\''
                + ", type='"
                + type
                + '\''
                + '}';
    }
}
